# gce_img – utilize GCE image resources

- Synopsis

- Requirements

- Parameters

- Examples

- Status

## Synopsis

- This module can create and delete GCE private images from gzipped compressed tarball containing raw disk data or from existing detached disks in any zone. https://cloud.google.com/compute/docs/images

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6

- apache-libcloud

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
description - |  | an optional description
family - |  | an optional family name
name - / required |  | the name of the image to create or delete
pem_file - |  | path to the pem file associated with the service account email
project_id - |  | your GCE project ID
service_account_email - |  | service account email
source - |  | the source disk or the Google Cloud Storage URI to create the image from

state
-

Choices:
- present ←
- absent

desired state of the image

timeout - | Default: 180 | timeout for the operation
zone - | Default: "us-central1-a" | the zone of the disk specified by source

## Examples

    # Create an image named test-image from the disk 'test-disk' in zone us-central1-a.
    - gce_img:
        name: test-image
        source: test-disk
        zone: us-central1-a
        state: present

    # Create an image named test-image from a tarball in Google Cloud Storage.
    - gce_img:
        name: test-image
        source: https://storage.googleapis.com/bucket/path/to/image.tgz

    # Alternatively use the gs scheme
    - gce_img:
        name: test-image
        source: gs://bucket/path/to/image.tgz

    # Delete an image named test-image.
    - gce_img:
        name: test-image
        state: absent

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Tom Melendez (@supertom)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.